Package com.sas.lsaf.content.utilization

## Class ResourceUtilizationTransientWorkspaceInfo

- java.lang.Object
- - com.sas.lsaf.content.utilization.ResourceUtilizationWorkspaceInfo
  - - com.sas.lsaf.content.utilization.ResourceUtilizationTransientWorkspaceInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ResourceUtilizationTransientWorkspaceInfo
      extends ResourceUtilizationWorkspaceInfo

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceUtilizationTransientWorkspaceInfo​(java.lang.String owner, long size, Session.SessionState sessionState, int sessionClientId, java.lang.String sessionSubmissionName)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `getSessionClientId()` | Gets the incremental number that is assigned to a session.
    `Session.SessionState` | `getSessionState()` | Gets the state of the session.
    `java.lang.String` | `getSessionSubmissionName()` | Gets the label that describes what is executing in the session.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.content.utilization.ResourceUtilizationWorkspaceInfo

      `getOwner, getSize`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceUtilizationTransientWorkspaceInfo

          public ResourceUtilizationTransientWorkspaceInfo​(java.lang.String owner,
                                                           long size,
                                                           Session.SessionState sessionState,
                                                           int sessionClientId,
                                                           java.lang.String sessionSubmissionName)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with those returned by the API.
      Parameters:
        `owner` - The userId of the owner of the workspace item.
        `size` - The total size (in bytes) of the workspace item.
        `sessionState` - The state of the session.
        `sessionClientId` - The incremental number that is assigned to a session.
        `sessionSubmissionName` - The label that describes what is executing in the session.

  - ### Method Detail

    - #### getSessionState

          public Session.SessionState getSessionState()

      Gets the state of the session.
      Returns:
        The state of the session.

    - #### getSessionClientId

          public int getSessionClientId()

      Gets the incremental number that is assigned to a session.
      Returns:
        The incremental number that is assigned to a session.

    - #### getSessionSubmissionName

          public java.lang.String getSessionSubmissionName()

      Gets the label that describes what is executing in the session.
      Returns:
        The label that describes what is executing in the session.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ResourceUtilizationWorkspaceInfo`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `ResourceUtilizationWorkspaceInfo`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ResourceUtilizationWorkspaceInfo`